.side-nav {
  @import '../../../themes/variables/color';
  @import '../../../themes/variables/font';
  @import '../../../themes/mixins/text';
  @import '../../../themes/mixins/utils';

  $nav-height: 100vh;

  display: flex;

  flex-direction: column;
  align-items: center;
  justify-content: space-between;

  box-shadow: -0.3rem 0.6rem 0.6rem 0.2rem rgba(2, 0, 33, 0.1),
    0.1rem 0.1rem 0.7rem 0 rgba(196, 178, 157, 0.46);
  background-color: $white;

  min-width: 16rem;
  max-width: 16rem;

  min-height: $nav-height;
  max-height: $nav-height;

  .nav-header {
    display: flex;
    align-items: center;
    justify-content: center;

    background-color: $brown-1;
    width: 100%;
    height: 14.5rem; /*19vh*/

    .e-logo {
      width: 13.5rem;
      height: auto;

      object-fit: contain;
    }
  }

  .nav-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;

    background-image: url('/media/image/background/sidenav-bg.png');
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;

    width: 100%;
    min-height: calc(100vh - 14.5rem);
    max-height: calc(100vh - 14.5rem);
    overflow: hidden;

    .nav-body {
      transform: translateY(18.5%);
      margin-right: auto;
      margin-left: auto;

      @include fit-content();

      .menu-item {
        display: block;
        margin-bottom: $nav-height * 0.04;

        text-align: right;

        &:hover {
          .menu-label {
            text-decoration: underline;
            /* text-decoration: none;
            border-bottom: solid 0.2rem #1e3761; */
          }
        }

        &:last-child {
          margin-bottom: initial;
        }

        .menu-label {
          @include word-wrap(12rem);

          color: $brown-1;
          letter-spacing: -0.04rem;
        }
      }
    }

    .nav-footer {
      padding-bottom: 2.8rem;
      width: 100%;

      .social-links {
        display: flex;
        justify-content: space-evenly;
      }

      .site-languages {
        display: flex;
        justify-content: space-evenly;
        margin-top: 1.4rem;
        margin-right: auto;
        margin-left: auto;
        width: 50%;

        .language-option {
          font-size: 1rem;
          font-weight: 700;

          &:hover,
          &.active {
            text-decoration: underline;
          }
        }
      }
    }
  }

  &.inverted {
    box-shadow: 0.1rem 0.1rem 0.7rem rgba(15, 37, 74, 0.44);
    background-color: $blue-1;

    .nav-header {
      background-color: $blue-6;
    }
  }
}
